#
# spec file for package ethereal (Version 0.10.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel libpcap openssl openssl-devel python ucdsnmp xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext glib glib-devel gtk gtk-devel libpcap libtool libz openssl openssl-devel pam perl python rpm ucdsnmp xdevel xf86 xshared

Name:         ethereal
License:      GPL
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Summary:      A graphical network traffic analyser
Version:      0.10.3
Release:      10
URL:          http://ethereal.zing.org/
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}-%{version}-pregenerated-automake.tar.bz2
Patch1:       %{name}-%{version}-ipv6-filter-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
ethereal is a network traffic analyzer for Unix and
Unix-like operating systems.

It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

It is more or less a graphical version of tcpdump.

Authors:
--------
    Gerald Combs <gerald@zing.org>
    Gilbert Ramirez <gram@verdict.uthscsa.edu>

SuSE series: n

%prep
%setup -q -a 1  
%patch1

%build
%ifarch ppc64
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
%{suse_update_config -f}
#for i in epan wiretap .
#do
#   (cd $i
#    libtoolize --force
#    aclocal
#    automake --gnu Makefile
#    autoconf
#   )
#done
CFLAGS="$RPM_OPT_FLAGS" ./configure \
            --prefix=/usr/X11R6 \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --enable-ipv6 \
            --with-ssl=/usr \
            --libdir=/usr/X11R6/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/usr/X11R6/share/ethereal/{diameter,manuf} $RPM_BUILD_ROOT/etc
rm -rf $RPM_BUILD_ROOT/usr/X11R6/share
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1/
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README* TODO doc/README.*
%doc %{_mandir}/man?/*
/usr/X11R6/bin/*
/usr/X11R6/%{_lib}/*
%dir /etc/diameter
%config /etc/diameter/*
%config /etc/manuf

%changelog -n ethereal
* Tue Apr 06 2004 - postadal@suse.cz
- updated to version 0.10.3 (security update) [#35449]
  * several security fixes; enpa-sa-00013; CAN-2004-0176 CAN-2004-0367,
  CAN-2004-0365
- added pregenerated automake files, which needed newer automake
  (pregenerated-automake.tar.bz2)
- fixed default filter (ipv6 problem)
- fixed locating manuf file in /etc [#34386]
- removed obsoleted patches
* Thu Dec 18 2003 - postadal@suse.cz
- fixed security bug (in SMB dissectors);[#33650] enpa-sa-00012
* Thu Nov 06 2003 - postadal@suse.cz
- fixed security bugs (in GTP,ISAKMP,MEGACO,SOCKS dissectors); enpa-sa-00011
* Mon Aug 04 2003 - postadal@suse.cz
- fixed syntax bug
* Mon Jul 14 2003 - postadal@suse.cz
- fixed security bugs [#27347] (some dissectors handled strings improperly,...)
  * CAN-2003-0428, CAN-2003-0429, CAN-2003-0431, CAN-2003-0432
* Wed May 07 2003 - postadal@suse.cz
- fixed security bug (several one-byte buffer overflows and integer overflows)
* Fri Mar 14 2003 - postadal@suse.cz
- fixed security bug in the SOCKS code
* Fri Aug 23 2002 - postadal@suse.cz
- update to version 0.9.6 (security fix [bug #17689])
- removed HAVE_PLUGINS condition (workaround for bug in automake 1.5)
- added %%config to file list
* Thu Aug 15 2002 - postadal@suse.cz
- update to version 0.9.5 (security fix)
* Wed Jan 16 2002 - cihlar@suse.cz
- update to version 0.9.0
* Mon Nov 26 2001 - cihlar@suse.cz
- update to version 0.8.20
* Wed Jul 25 2001 - cihlar@suse.cz
- update to version 0.8.19
* Fri Jun 15 2001 - cihlar@suse.cz
- added openssl, openssl-devel to neededforbuild
- run confugure with --with-ssl=/usr
- link against libcrypto (libsnmp needs it)
- fixed to compile with ipv6 support
* Fri Jun 08 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Tue Apr 24 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Tue Mar 20 2001 - cihlar@suse.cz
- upgrade to version 0.8.16
* Tue Mar 06 2001 - cihlar@suse.cz
- upgrade to version 0.8.15
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Oct 31 2000 - cihlar@suse.cz
- upgrade to version 0.8.13
- bzipped sources
* Thu Aug 03 2000 - cihlar@suse.cz
- upgrade to version 0.8.11
* Mon Jun 12 2000 - cihlar@suse.cz
- upgrade to version 0.8.9
* Wed May 10 2000 - cihlar@suse.cz
- upgrade to version 0.8.8
* Thu Apr 13 2000 - cihlar@suse.cz
- upgrade to version 0.8.6
- added BuildRoot
* Mon Apr 10 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - choeger@suse.de
- new version, 0.8.3
* Wed Jan 19 2000 - choeger@suse.de
- new version, 0.8.1
* Thu Nov 25 1999 - choeger@suse.de
- new version, 0.7.8
* Thu Oct 28 1999 - choeger@suse.de
-  new version, 0.7.7
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - choeger@suse.de
- new version
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jul 12 1999 - ro@suse.de
- libpcap is an extra package now
* Thu Jul 08 1999 - choeger@suse.de
- new version, v0.6.3
* Tue Jun 01 1999 - ro@suse.de
- fixed: X11 -> X11R6
* Wed May 26 1999 - choeger@suse.de
- new package v0.6.2
